#
# Conditional build:
%bcond_without	numa	# disable NUMA support
%bcond_with	systemd	# systemd journal support
#
Summary:	Balancing of IRQs between multiple CPUs
Summary(pl.UTF-8):	Rozdzielanie IRQ pomiędzy wiele procesorów
Name:		irqbalance
Version:	1.4.0
Release:	1
License:	GPL v2
Group:		Daemons
#Source0Download: https://github.com/Irqbalance/irqbalance/releases
Source0:	https://github.com/Irqbalance/irqbalance/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	26ee6db57c4509737e541e98773a39f5
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.service
URL:		https://github.com/Irqbalance/irqbalance
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	libtool
# due to -fpie
BuildRequires:	gcc >= 5:3.4
BuildRequires:	libcap-ng-devel
BuildRequires:	ncurses-devel >= 5
%{?with_numa:BuildRequires:	numactl-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.647
%{?with_systemd:BuildRequires:	systemd-devel}
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	glib2 >= 1:2.28
Requires:	rc-scripts
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%description -l pl.UTF-8
Narzędzie do rozdzielania przerwań IRQ pomiędzy wiele procesorów w
celu zwiększenia wydajności systemu.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_numa:--disable-numa} \
	--with-libcap-ng \
	%{?with_systemd:--with-systemd}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{systemdunitdir} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{systemdunitdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add irqbalance
%service irqbalance restart "irqbalance daemon"
%systemd_post irqbalance.service

%preun
if [ "$1" = "0" ]; then
	%service irqbalance stop
	/sbin/chkconfig --del irqbalance
fi
%systemd_preun irqbalance.service

%postun
%systemd_reload

%triggerpostun -- irqbalance < 0.55-4
%systemd_trigger irqbalance.service

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_sbindir}/irqbalance
%attr(755,root,root) %{_sbindir}/irqbalance-ui
%attr(754,root,root) /etc/rc.d/init.d/irqbalance
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{systemdunitdir}/irqbalance.service
%{_mandir}/man1/irqbalance.1*
%changelog
* Tue Jul 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/irqbalance.git;a=log;h=master

* Tue Jul 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 420cab7
- updated to 1.4.0

* Wed Nov 15 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ec79e09
- up to 1.3.0

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 08409e6
- up to 1.2.0

* Wed Feb 17 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3847d75
- up to 1.1.0

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> bfc0a2d
- added systemd bcond

* Mon Apr 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1721442
- up to 1.0.9

* Sat Oct 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f243f9
- up to 1.0.7

* Sun Jun 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ac14742
- up to 1.0.6

* Fri Sep 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 2251678
- package AUTHORS

* Wed Sep 12 2012 Mariusz Mazur <mmazur@pld-linux.org> b081b6e
- Add numa bcond; rel 2

* Wed Sep 12 2012 Mariusz Mazur <mmazur@pld-linux.org> aaf6d1c
- Updated to 1.0.4; rel 1

* Wed May 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 5b194ad
- glib2 version
- gccmakedep no longer used

* Sat May 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e2fe752
- adapterize

* Sat May 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 19e2b41
- up to 1.0.3

* Tue Apr 17 2012 Jan Rękorajski <baggins@pld-linux.org> a455a3a
- rel 6
- added systemd deps

* Tue Feb 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ca2e7fd
- release 5

* Mon Feb 06 2012 Paweł Gołaszewski <blues@pld-linux.org> 3fef12a
- missing trigger

* Sun Feb 05 2012 Paweł Gołaszewski <blues@pld-linux.org> 67f82f9
- rel.4 - systemd support

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 41c79ca
- fixed Group

* Mon Sep 07 2009 Adam Gołębiowski <adamg@pld-linux.org> d8794f4
- BR: pkgconfig

